Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Creative Variants

LOC/WHT/ADPT/RSZ cards already derived from any of these origins — the task form uses this to warn on (or block) a language/geo/platform/aspect ratio the origin already has a variant for.

GET/api/v1/creatives/variants
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Query parameters
origin_idsstring[]required
origins to list existing LOC/WHT/ADPT/RSZ siblings for
max items 50
Responses
200Successful Response
successboolean
default: true
dataCreativeVariant[] | any
Show properties
Any of:
CreativeVariant[]
Array of CreativeVariant
idstringrequired
namestringrequired
origin_idstringrequired
task_idstringrequired
task_typeTaskTyperequired
Allowed:NEWVARLOCWHTNEWDESVARDESDESCLNVARAIADPTRSZ
sourceSource | any
Show properties
Any of:
Source
string
any
any
geoGeo | any
Show properties
Any of:
Geo
string
any
any
languageLanguage | any
Show properties
Any of:
Language
string
any
any
resolutionResolution | any
Show properties
Any of:
Resolution
string
any
any
in_work_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
assignee_idstring | any
Show properties
Any of:
string
string
any
any
task_owner_idstring | any
Show properties
Any of:
string
string
any
any
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "/api/v1/creatives/variants?origin_ids=string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "data": [
    {
      "id": "string",
      "name": "string",
      "origin_id": "string",
      "task_id": "string",
      "task_type": "NEW",
      "source": "META",
      "geo": "US",
      "language": "EN",
      "resolution": "1080x1920",
      "in_work_at": "2019-08-24T14:15:22Z",
      "assignee_id": "string",
      "task_owner_id": "string"
    }
  ],
  "message": "string",
  "errors": [
    "string"
  ]
}